This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 139172 - useradd: cannot rewrite shadow password file
useradd: cannot rewrite shadow password file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 11:22 EST by John Florian
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 14:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Florian 2004-11-13 11:22:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Just performed a brand new install of FC3 with reiserfs.  Attempted to
create a non-root user during the first boot and there was no
indication of any error at that time.  Could not login via GDM as the
non-root user.  Went to VT1 console and logged in as root.  A grep on
/etc/passwd revealed the user did not get added, although I can see
that the home directory was created along with /var/spool/mail/ file.
 Repeated attempts using useradd all fail like thus:

[root@droopy ~]# useradd john
useradd: cannot rewrite password file
[root@droopy ~]# echo $?


Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-40

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 with reiserfs
2. Try to create new user
3. Try to login as new user
    

Additional info:

/var/log/messages reports several entries like:

Nov 13 00:19:46 droopy kernel: ReiserFS: dm-0: warning: Invalid hash
for xattr (security.selinux) associated with [739 730906 0x0 SD]
Comment 1 Eido Inoue 2004-11-18 14:26:43 EST
ReiserFS and SELinux do not mix, and we won't support this combo in
RHEL. You need to disable one or the other. If you must use ReiserFS,
boot with "selinux=0" bootparam.

Note You need to log in before you can comment on or make changes to this bug.